Subject: bug#36942: Reconfigure broke GRUB

From: [email-masked] (Jakob L. Kreuze)
Date: Tue, 06 Aug 2019 15:48:43 -0400

Hi Danny,

Danny Milosavljevic <[email-masked]> writes:

> Hi,
>
> I've examined /var/guix/gcroots without #36947 and I get:
>
> lrwxrwxrwx 1 root root   18 24. Jul 11:32 profiles -> /var/guix/profiles
> lrwxrwxrwx 1 root root   19 24. Jul 11:32 current-system -> /run/current-system
> lrwxrwxrwx 1 root root   18 24. Jul 11:32 booted-system -> /run/booted-system
> lrwxrwxrwx 1 root root   26 29. Jul 22:26 bootcfg -> //var/guix/gcroots/bootcfg
>
> So I guess I'm one "guix gc" away from also destroying my
> installation.

Was this fixed after applying #36947?

> The double slash looks very suspicious...

Any reason in particular? The second slash is there because
'%gc-roots-directory' has a leading slash, and that gets appended to
'target', which in this case is '/'.

Regards,
Jakob